.TH sftpcloudfs 8
.SH NAME
sftpcloudfs \- SFTP interface to Rackspace Cloud Files and OpenStack Object Storage
.SH SYNOPSIS
.B sftpcloudfs [\fIOPTIONS\fR]

.SH DESCRIPTION
.B sftpcloudfs

SFTPCloudFS is an SFTP (Secure File Transfer Protocol) interface to Rackspace
Cloud Files and OpenStack Object Storage, providing a service that acts as a
proxy between a SFTP client and a remote files/storage service.

The username/password pair used to open the SFTP session is validated using the
authentication service of the files/storage service to get an authentication
token.

The communication between the client and the SFTP daemon is encrypted all the
time, and the SFTP service supports HTTPS communication with the remote
files/storage service.

.SH OPTIONS
.LP
\-\-version
.IP
show program's version number and exit

.LP
\-h, \-\-help
.IP
show a help message and exit

.LP
\-p \fIPORT\fR, \-\-port=\fIPORT\fR
.IP
Port to bind the server default: 2021.

.LP
\-b \fIBIND_ADDRESS\fR, \-\-bind\-address=\fIBIND_ADDRESS\fR
.IP
Address to bind by default: 127.0.0.1.

.LP
\-k \fIHOST_KEY\fR, \-\-host-key-file=\fIHOST_KEY\fR
.IP
Host RSA key used by the server

.LP
\-\-memcache=\fIMEMCACHE\fR
.IP
Memcache server(s) to be used for cache (ip:port).

.LP
\-a \fIAUTHURL\fR, \-\-auth\-url=\fIAUTHURL\fR
.IP
Auth URL for alternate providers(eg OpenStack)

.LP
\-v, \-\-verbose
.IP
Be verbose on logging.

.LP
\-f, \-\-foreground
.IP
Do not attempt to daemonize but run in foreground.

.LP
\-l \fILOG_FILE\fR, \-\-log\-file=\fILOG_FILE\fR
.IP
Log File: Default stdout when in foreground

.LP
\-\-syslog
.IP
Enable logging to the system logger (daemon facility).

.LP
\-\-pid\-file=\fIPID_FILE\fR
.IP
Pid file location when in daemon mode.

.LP
\-\-uid=\fIUID\fR
.IP
UID to drop the privilege to when in daemon mode

.LP
\-\-gid=\fIGID\fR
.IP
GID to drop the privilege to when in daemon mode

.LP
\-\-config \fICONFIG\fR
.IP
Use an alternative configuration file

.SH AUTHORS
Juan J. Martinez <juan@memset.com>, Christophe Le Guern <c35sys@gmail.com>, Chmouel Boudjnah <chmouel@chmouel.com>
